#pragma once

#include "cell.h"
#include <common.h>
#include <cstdint>



namespace game
{

class chunk
{
public:
    const static uint32_t chunkSize = 16;

    chunk(const vec2u &pos);
    ~chunk() = default;

    void setReference(const vec2u &pos, cell*);

    void draw();
private:
    vec4f randomColor;
    vec2u _pos;
    cell *_cells[chunkSize][chunkSize];
};


}
